Bug 734870

Summary: Need kBuild 0.1.98 or later to build Virtualbox 4.1.2
Product: [Fedora] Fedora Reporter: Sergio Monteiro Basto <sergio>
Component: kBuildAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: lkundrak, lxtnow
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kBuild-0.1.98-1.r1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-22 22:43:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sergio Monteiro Basto 2011-08-31 17:21:39 UTC
Description of problem:
When try build Virtualbox 4.1.2, I got 
Config.kmk:157: *** You must update kBuild! Requires 0.1.999 or later, found
0.1.5-r2373.  Stop.

Expected results:
non stop 

Additional info:

https://bugzilla.rpmfusion.org/show_bug.cgi?id=1877

when I read "It is used mainly to build VirtualBox OSE packages for RPM Fusion
repository." , I resolve open this report

Comment 1 Sergio Monteiro Basto 2011-08-31 19:14:05 UTC
http://www.serjux.com/virtualbox/kBuild/

you got here my build of kBuild from trunk.

to get source I do: 
svn co http://svn.netlabs.org/repos/kbuild/trunk/
mv trunk kBuild-0.1.9998
tar cvzf kBuild-0.1.9998.tar.gz kBuild-0.1.9998/ --exclude=.svn

as describe on http://www.serjux.com/virtualbox/kBuild/histkbuild.txt

the result was 
http://www.serjux.com/virtualbox/kBuild/kBuild-0.1.9998-1.fc15.src.rpm


Thanks,

Comment 3 Sergio Monteiro Basto 2011-11-28 21:33:14 UTC
Lubomir Rintel had build kBuild-0.1.98 for F17, F16 and el6 
https://koji.fedoraproject.org/koji/packageinfo?packageID=7356 
but not for F15 with latest kernels on F15, we couldn't compile anymore VirtualBox-OSE-kmod. 
The problem has been fixed with VirtualBox-OSE-4.1.2 , but VirtualBox-OSE-4.1.2 needs kBuild-0.1.98.
So please we need update kBuild on F15

Comment 4 Fedora Update System 2011-12-12 18:34:06 UTC
kBuild-0.1.98-1.r1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kBuild-0.1.98-1.r1.fc15

Comment 5 Fedora Update System 2011-12-13 21:57:13 UTC
Package kBuild-0.1.98-1.r1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kBuild-0.1.98-1.r1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17080/kBuild-0.1.98-1.r1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-22 22:43:27 UTC
kBuild-0.1.98-1.r1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.